"""Grid Shared File System Test

Checks whether the shared file system is mounted.

Author: Thomas Low <thomas.low@cern.ch>
"""

import os
from gcm.common.test import Test

def getTest():
	t = Test("grid_sfs")
	t.testVersion = "1.0"
	
	try:
		os.listdir("/afs/cern.ch/")
		t.summary = "y"
	except Exception, err:
		t.summary = "n"
		t.data = str(err)
	
	return t
	
	
