"""Grid Shared File System Test

Checks whether the dteam sw dir is available.

Author: Thomas Low <thomas.low@cern.ch>
"""

import os
from gcm.common.test import Test

def getTest():
	t = Test("grid_dteamdir")
	t.testVersion = "1.0"
	
	try:
		os.listdir(os.environ['VO_DTEAM_SW_DIR'])
		t.summary = "y"
	except Exception, err:
		t.summary = "n"
		t.data = str(err)
	
	return t
	
	
