"""System Environment

Retrieves the system environment of the current machine.

Author: Thomas Low <thomas.low@cern.ch>
"""

import os
from gcm.common.test import Test

def getTest():
	t = Test("system_env")
	t.testVersion = "1.0"
	t.pyamqEncrypt = "1"
	
	
	t.data = "\n".join(["%s = %s" % (k,v) for k,v in os.environ.items()])
			
	return t
